Bug 9133 - Route generation should be case-insensitive
Summary: Route generation should be case-insensitive
Status: RESOLVED FIXED
Alias: None
Product: Class Libraries
Classification: Mono
Component: System.Web (show other bugs)
Version: master
Hardware: PC All
: --- normal
Target Milestone: Untriaged
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2012-12-25 21:14 UTC by Daniel Lo Nigro
Modified: 2013-01-09 17:54 UTC (History)
2 users (show)

See Also:
Tags:
Is this bug a regression?: ---
Last known good build:


Attachments

Description Daniel Lo Nigro 2012-12-25 21:14:47 UTC
Values in the Defaults RouteValueDictionary should be case-insensitive, as they are case-insensitive on Microsoft .NET.

Given a route like this:
var route = new Route ("HelloWorld", new MyRouteHandler ()) {
	Defaults = new RouteValueDictionary (new {controller = "Home", action = "HelloWorld"})
};

The following should work:
var lowercase = route.GetVirtualPath (rc, new RouteValueDictionary
{
	{"controller", "home"},
	{"action", "helloworld"}
});
Comment 1 Daniel Lo Nigro 2012-12-25 21:28:28 UTC
Pull request sent: https://github.com/mono/mono/pull/527
Comment 2 Andres G. Aragoneses 2013-01-09 16:01:32 UTC
This bug should be marked as FIXED, no?
Comment 3 Daniel Lo Nigro 2013-01-09 17:54:34 UTC
Correct - I must have forgotten to change the status.

Notice (2018-05-21): bugzilla.xamarin.com will be switching to read-only mode on Thursday, 2018-05-25 22:00 UTC.

Please join us on Visual Studio Developer Community and GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs and copy them to the new locations as needed for follow-up. The See Also field on each Bugzilla bug will be updated with a link to its new location when applicable.

After Bugzilla is read-only, if you have new information to add for a bug that does not yet have a matching issue on Developer Community or GitHub, you can create a follow-up issue in the new location. Copy and paste the title and description from this bug, and then add your new details. You can get a pre-formatted version of the title and description here:

In special cases you might also want the comments:

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Note You need to log in before you can comment on or make changes to this bug.